package cz.fidentis.analyst.curvature;

import cz.fidentis.analyst.core.ControlPanelBuilder;
import java.awt.event.ActionEvent;
import javax.swing.ImageIcon;

/**
 * Control panel for curvature analysis.
 * 
 * @author Radek Oslejsek
 */
public class CurvaturePanel extends javax.swing.JPanel {
    
    public static final ImageIcon ICON = new ImageIcon(CurvaturePanel.class.getClassLoader().getResource("/curvature28x28.png"));
    public static final String NAME = "Curvature";
    
    //private final JCheckBox showCurvature;
   
    public CurvaturePanel(CurvatureAction curvAction) {
        ControlPanelBuilder builder = new ControlPanelBuilder(this);
        
        builder.addCaptionLine("Visualization options:");
        builder.addLine();
        
        builder.addCheckBoxOptionLine(null, "Show symmetry plane", false, 
                (ActionEvent e) -> {
                    curvAction.actionPerformed(new ActionEvent(
                            e.getSource(), 
                            ActionEvent.ACTION_PERFORMED, 
                            CurvatureAction.ACTION_COMMAND_SHOW_HIDE_HEATMAP)
                    ); 
                });
        builder.addLine();
    }
    
}
